package com.informagen.echo2;

import com.informagen.echo2.ActiveTextField;

/**
 * A single-line text input field with pre keystroke regular expression testing
 */

public class RegExTextField extends ActiveTextField {

    public static final String PROPERTY_REGEXP = "regex";
    public static final String PROPERTY_REGEXP_FILTER = "regexFilter";

    
    /**
     * Set the regular expression which will filter each keystroke
     * 
     * @param regex the regular expression
    */
       
    public void setRegExFilter(String regex) {
        setProperty(PROPERTY_REGEXP_FILTER, regex);
    }


    /**
     * Get the regular expression for input into this text field
     * 
     * @returns regex the regular expression
    */
       
    public String getRegExFilter() {
        return (String)getProperty(PROPERTY_REGEXP_FILTER);
    }



    /**
     * Set the regular expression which will be checked after each keystroke
     * 
     * @param regex the regular expression
    */
       
    public void setRegEx(String regex) {
        setProperty(PROPERTY_REGEXP, regex);
    }


    /**
     * Get the regular expression for this text field
     * 
     * @returns regex the regular expression
    */
       
    public String getRegEx() {
        return (String)getProperty(PROPERTY_REGEXP);
    }



}

