package nextapp.echo2.testapp.interactive.testscreen;

import nextapp.echo2.app.Label;

import nextapp.echo2.app.event.ActionEvent;
import nextapp.echo2.app.event.ActionListener;

import nextapp.echo2.testapp.interactive.ButtonColumn;
import nextapp.echo2.testapp.interactive.InteractiveApp;

import com.informagen.echo2.NumericTextField;


public class NumericTextFieldTest extends ActiveTextFieldTest {
    
    private final NumericTextField numericTextField;
    
    public NumericTextFieldTest() {
        super(new NumericTextField());
        
        numericTextField = (NumericTextField)activeTextField;

        fillTestControlsColumn(); 
        super.fillTestControlsColumn();
    }

    protected void fillTestControlsColumn() {        

        // Build the test control buttons as small groups (controlsColumn) 
        //   placed within a larger group (controlGroupsColumn) 
        ButtonColumn controlsColumn;
                
        controlsColumn = new ButtonColumn();
        controlGroupsColumn.add(controlsColumn);
        controlsColumn.add(new Label("NumericTextField Properties"));
        
        controlsColumn.addButton("Range: 0:10", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numericTextField.setMinValue(0.0);
                numericTextField.setMaxValue(10.0);
                numericTextField.setMessage("Range: 0:10");
            }
        });

        controlsColumn.addButton("Range: -100:100", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numericTextField.setMinValue(-100.);
                numericTextField.setMaxValue(100.);
                numericTextField.setMessage("Range: -100:100");
            }
        });
        
        controlsColumn.addButton("Range: default", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numericTextField.setMinValue(Double.MIN_VALUE);
                numericTextField.setMaxValue(Double.MAX_VALUE);
                numericTextField.setMessage("Range: all numbers");
            }
        });

        controlsColumn.addButton("Double -> 10.0", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                numericTextField.setValue(10.0);
            }
        });


        controlsColumn.addButton("getValue", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                double value = numericTextField.getValue();
            ((InteractiveApp) getApplicationInstance()).consoleWrite(Double.toString(value));
            }
        });


    }


}
