package nextapp.echo2.testapp.interactive.testscreen;

import nextapp.echo2.app.Label;

import nextapp.echo2.app.event.ActionEvent;
import nextapp.echo2.app.event.ActionListener;

import nextapp.echo2.testapp.interactive.ButtonColumn;


// This test component
import com.informagen.echo2.RegExTextField;


/**
 * An interactive test for <code>RegExTextFieldTest</code>s.
 */
 
public class RegExTextFieldTest extends ActiveTextFieldTest {


    final RegExTextField regexTextField;    

    public RegExTextFieldTest() {
        super(new RegExTextField());
        
        regexTextField = (RegExTextField)activeTextField;

        fillTestControlsColumn(); 
        super.fillTestControlsColumn();
    }


    protected void fillTestControlsColumn() {        

        // Build the test control buttons as small groups (controlsColumn) 
        //   placed within a larger group (controlGroupsColumn) 

        ButtonColumn controlsColumn;

        controlsColumn = new ButtonColumn();
        controlGroupsColumn.add(controlsColumn);
        controlsColumn.add(new Label("RegExTextField Properties"));

        controlsColumn.addButton("RegEx: 6 digits", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                String regEx = "^-{0,1}\\d{0,6}$";
                regexTextField.setText("");
                regexTextField.setRegExFilter(regEx);
                regexTextField.setRegEx(regEx);
                regexTextField.setMessage("+/- six digits");
                regexTextField.setToolTipText(null);
            }
        });

        controlsColumn.addButton("RegEx: E-mail Address", new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                regexTextField.setText("");
                regexTextField.setRegExFilter("^[_a-z0-9-]+(\\.?[\\+_a-z0-9-]*)*@?[a-z0-9-]*(\\.?[a-z0-9-]*)*$");
                regexTextField.setRegEx("^[_a-z0-9-]+(\\.?[\\+_a-z0-9-]+)*@[a-z0-9-]*(\\.[a-z0-9-]+)*(\\.[a-z]{2,4})$");
                regexTextField.setMessage("Incomplete or invalid e-mail address");
                regexTextField.setToolTipText(null);
            }
        });

    }
}
